View Issue Details

IDProjectCategoryView StatusLast Update
0000094OpenFOAM[All Projects] Bugpublic2010-12-01 11:43
Reporteruser85Assigned Touser2 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000094: reactingFoam crashes if trying to use LES
DescriptionreactingFoam crashes if trying to use LES turbulence model.

See error message in http://www.cfd-online.com/Forums/openfoam-solving/82474-reactingfoam-les.html


TagsNo tags attached.

Activities

user85

2010-11-29 09:42

 

reactingFOAM-LES-bug.patch (1,152 bytes)
diff --git a/src/turbulenceModels/compressible/LES/derivedFvPatchFields/wallFunctions/alphaSgsWallFunctions/alphaSgsJayatillekeWallFunction/alphaSgsJayatillekeWallFunctionFvPatchScalarField.C b/src/turbulenceModels/compressible/LES/derivedFvPatchFields/wallFunctions/alphaSgsWallFunctions/alphaSgsJayatillekeWallFunction/alphaSgsJayatillekeWallFunctionFvPatchScalarField.C
index adc76f9..a43d2ad 100644
--- a/src/turbulenceModels/compressible/LES/derivedFvPatchFields/wallFunctions/alphaSgsWallFunctions/alphaSgsJayatillekeWallFunction/alphaSgsJayatillekeWallFunctionFvPatchScalarField.C
+++ b/src/turbulenceModels/compressible/LES/derivedFvPatchFields/wallFunctions/alphaSgsWallFunctions/alphaSgsJayatillekeWallFunction/alphaSgsJayatillekeWallFunctionFvPatchScalarField.C
@@ -209,7 +209,7 @@ void alphaSgsJayatillekeWallFunctionFvPatchScalarField::evaluate
 
     const scalarField& rhow = lesModel.rho().boundaryField()[patchI];
     const fvPatchScalarField& hw =
-        patch().lookupPatchField<volScalarField, scalar>("h");
+        patch().lookupPatchField<volScalarField, scalar>("hs");
 
     const scalarField& ry = patch().deltaCoeffs();
 

henry

2010-11-29 09:56

manager   ~0000144

Could you please make a complete bug report here so that the information is logged with any resolution.

user85

2010-11-29 13:34

 

reactingFoam-les-bug-case.zip (16,329 bytes)

user85

2010-11-29 13:34

 

rf-les-log (7,366 bytes)
/*---------------------------------------------------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  1.7.x                                 |
|   \\  /    A nd           | Web:      www.OpenFOAM.com                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
Build  : 1.7.x-339e3f05691a
Exec   : reactingFoam
Date   : Nov 29 2010
Time   : 15:32:04
Host   : blackbody
PID    : 5151
Case   : /home/tuomin53/OpenFOAM/tuomin53-1.7.x/run/reactingFoam-les-bug
nProcs : 1
SigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

Create mesh for time = 0

// using new solver syntax:
rho
{
    solver          PCG;
    preconditioner  DIC;
    tolerance       1e-06;
    relTol          0;
}

// using new solver syntax:
U
{
    solver          PBiCG;
    preconditioner  DILU;
    tolerance       1e-06;
    relTol          0;
}

// using new solver syntax:
p
{
    solver          PCG;
    preconditioner  DIC;
    tolerance       1e-09;
    relTol          0;
}

// using new solver syntax:
Yi
{
    solver          PBiCG;
    preconditioner  DILU;
    tolerance       1e-06;
    relTol          0;
}

// using new solver syntax:
hs
{
    solver          PBiCG;
    preconditioner  DILU;
    tolerance       1e-06;
    relTol          0;
}

// using new solver syntax:
k
{
    solver          PBiCG;
    preconditioner  DILU;
    tolerance       1e-06;
    relTol          0;
}

// using new solver syntax:
epsilon
{
    solver          PBiCG;
    preconditioner  DILU;
    tolerance       1e-06;
    relTol          0;
}

Reading chemistry properties


Reading g

Reading thermophysicalProperties
Selecting psiChemistryModel ODEChemistryModel<gasThermoPhysics>
Selecting thermodynamics package hsPsiMixtureThermo<reactingMixture<gasThermoPhysics>>
Selecting chemistryReader foamChemistryReader
Selecting chemistrySolver sequential
ODEChemistryModel: Number of species = 5 and reactions = 1
Reading field U

Reading/calculating face flux field phi

Creating turbulence model.

Selecting turbulence model type LESModel
Selecting LES turbulence model oneEqEddy
--> FOAM Warning : 
    From function cubeRootVolDelta::calcDelta()
    in file cubeRootVolDelta/cubeRootVolDelta.C at line 52
    Case is 2D, LES is not strictly applicable



--> FOAM FATAL ERROR: 

    request for volScalarField h from objectRegistry region0 failed
    available objects of type volScalarField are

18
(
psi
N2
kappa
rho
CO2
k
O2
psi_0
delta
CH4
alpha
p
T
alphaSgs
H2O
mu
hs
muSgs
)


    From function objectRegistry::lookupObject<Type>(const word&) const
    in file /home/tuomin53/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/objectRegistryTemplates.C at line 139.

FOAM aborting

#0  Foam::error::printStack(Foam::Ostream&) at ~/OpenFOAM/OpenFOAM-1.7.x/src/OSspecific/POSIX/printStack.C:202
#1  Foam::error::abort() at ~/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/error.C:249
#2  Foam::Ostream& Foam::operator<< <Foam::error>(Foam::Ostream&, Foam::errorManip<Foam::error>) at ~/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/errorManip.H:86
#3  Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> const& Foam::objectRegistry::lookupObject<Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> >(Foam::word const&) const at ~/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/objectRegistryTemplates.C:136
#4  Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh>::PatchFieldType const& Foam::fvPatch::lookupPatchField<Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh>, double>(Foam::word const&, Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> const*, double const*) const at ~/OpenFOAM/OpenFOAM-1.7.x/src/finiteVolume/lnInclude/fvPatchFvMeshTemplates.C:41
#5  Foam::compressible::LESModels::alphaSgsJayatillekeWallFunctionFvPatchScalarField::evaluate(Foam::Pstream::commsTypes) at ~/OpenFOAM/OpenFOAM-1.7.x/src/turbulenceModels/compressible/LES/derivedFvPatchFields/wallFunctions/alphaSgsWallFunctions/alphaSgsJayatillekeWallFunction/alphaSgsJayatillekeWallFunctionFvPatchScalarField.C:212
#6  Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh>::GeometricBoundaryField::evaluate() at ~/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricBoundaryField.C:306
#7  Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh>::correctBoundaryConditions() at ~/OpenFOAM/OpenFOAM-1.7.x/src/OpenFOAM/lnInclude/GeometricField.C:881
#8  Foam::compressible::LESModels::oneEqEddy::updateSubGridScaleFields() at ~/OpenFOAM/OpenFOAM-1.7.x/src/turbulenceModels/compressible/LES/oneEqEddy/oneEqEddy.C:52
#9  Foam::compressible::LESModels::oneEqEddy::oneEqEddy(Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<Foam::Vector<double>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&, Foam::basicThermo const&) at ~/OpenFOAM/OpenFOAM-1.7.x/src/turbulenceModels/compressible/LES/oneEqEddy/oneEqEddy.C:80
#10  Foam::compressible::LESModel::adddictionaryConstructorToTable<Foam::compressible::LESModels::oneEqEddy>::New(Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<Foam::Vector<double>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&, Foam::basicThermo const&) at ~/OpenFOAM/OpenFOAM-1.7.x/src/turbulenceModels/compressible/LES/lnInclude/LESModel.H:115
#11  Foam::compressible::LESModel::New(Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<Foam::Vector<double>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&, Foam::basicThermo const&) at ~/OpenFOAM/OpenFOAM-1.7.x/src/turbulenceModels/compressible/LES/LESModel/LESModel.C:142
#12  Foam::compressible::turbulenceModel::addturbulenceModelConstructorToTable<Foam::compressible::LESModel>::NewturbulenceModel(Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<Foam::Vector<double>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&, Foam::basicThermo const&) at ~/OpenFOAM/OpenFOAM-1.7.x/src/turbulenceModels/compressible/turbulenceModel/turbulenceModel.H:106
#13  Foam::compressible::turbulenceModel::New(Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<Foam::Vector<double>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&, Foam::basicThermo const&) at ~/OpenFOAM/OpenFOAM-1.7.x/src/turbulenceModels/compressible/turbulenceModel/turbulenceModel.C:115
#14  
 at ~/OpenFOAM/OpenFOAM-1.7.x/applications/solvers/combustion/reactingFoam/createFields.H:74
#15  __libc_start_main in "/lib/libc.so.6"
#16  
 in "/home/tuomin53/OpenFOAM/OpenFOAM-1.7.x/applications/bin/linux64GccDPDebug/reactingFoam"
rf-les-log (7,366 bytes)

user85

2010-11-29 13:40

  ~0000145

Last edited: 2010-11-29 13:41

View 2 revisions

When running case from reactingFoam-les-bug-case.zip with 1.7.1 reactingFoam solver I get error:

--> FOAM FATAL ERROR:

    request for volScalarField h from objectRegistry region0 failed

Full output attached in file rf-les-log.
After adding patch from attached file reactingFOAM-LES-bug.patch case starts running fine.

user2

2010-12-01 11:43

  ~0000150

Thanks for the report - fixed by commit:

be9d3217859fc4408f0b5d29ff2f6cdc36fe966e

Issue History

Date Modified Username Field Change
2010-11-29 09:42 user85 New Issue
2010-11-29 09:42 user85 File Added: reactingFOAM-LES-bug.patch
2010-11-29 09:56 henry Note Added: 0000144
2010-11-29 13:34 user85 File Added: reactingFoam-les-bug-case.zip
2010-11-29 13:34 user85 File Added: rf-les-log
2010-11-29 13:40 user85 Note Added: 0000145
2010-11-29 13:41 user85 Note Edited: 0000145 View Revisions
2010-12-01 11:43 user2 Note Added: 0000150
2010-12-01 11:43 user2 Status new => resolved
2010-12-01 11:43 user2 Fixed in Version => 1.7.x
2010-12-01 11:43 user2 Resolution open => fixed
2010-12-01 11:43 user2 Assigned To => user2